Bug 6879 - winbindd crashes with "INTERNAL ERROR: Signal 11"
winbindd crashes with "INTERNAL ERROR: Signal 11"
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Winbind
3.4.3
x64 Linux
: P3 major
: ---
Assigned To: SUSE Samba maintainers
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-09 03:27 UTC by Giuseppe Sacco
Modified: 2010-08-18 14:44 UTC (History)
2 users (show)

See Also:


Attachments
for v3-4-test (1.35 KB, patch)
2009-12-03 01:25 UTC, Bo Yang
gd: review? (gd)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Giuseppe Sacco 2009-11-09 03:27:36 UTC
I setup a new x86_64 machine with SUSE Linux Enterprise Server 10. Then I downloaded latest samba from http://download.opensuse.org/repositories/network:/samba:/STABLE/SLE_10/x86_64 and installed it (package version is 3.4.3-1.1.) Packages I installed are for both 64 bit (native) and ia32 (for 32bit application). I then joined the domain, using yast2, and tried if authentication works.

What works: "getent passwd" display all users, including domain users; "getent group" also works correctly. "getent passwd USERNAME" does not work, i.e., it crashes with internal error.

/var/log/messages contains these lines:

Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]: [2009/11/09 09:53:50,  0] lib/fault.c:46(fault_report)
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:   ===============================================================
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]: [2009/11/09 09:53:50,  0] lib/fault.c:47(fault_report)
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:   INTERNAL ERROR: Signal 11 in pid 5762 (3.4.3-1.1-2231-SUSE-CODE10)
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:   Please read the Trouble-Shooting section of the Samba3-HOWTO
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]: [2009/11/09 09:53:50,  0] lib/fault.c:49(fault_report)
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:   
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:   From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]: [2009/11/09 09:53:50,  0] lib/fault.c:50(fault_report)
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:   ===============================================================
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]: [2009/11/09 09:53:50,  0] lib/util.c:1480(smb_panic)
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:   PANIC (pid 5762): internal error
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]: [2009/11/09 09:53:50,  0] lib/util.c:1584(log_stack_trace)
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:   BACKTRACE: 18 stack frames:
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:    #0 /usr/sbin/winbindd(log_stack_trace+0x1c) [0x55555569b68c]
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:    #1 /usr/sbin/winbindd(smb_panic+0x2b) [0x55555569b75b]
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:    #2 /usr/sbin/winbindd [0x55555568babe]
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:    #3 /lib64/libc.so.6 [0x2adb83854c30]
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:    #4 /usr/sbin/winbindd(rpc_pipe_np_smb_conn+0x4) [0x5555557736b4]
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:    #5 /usr/sbin/winbindd(rpccli_set_timeout+0x8) [0x55555576c808]
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:    #6 /usr/sbin/winbindd(winbindd_lookup_names+0xa0) [0x55555560f690]
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:    #7 /usr/sbin/winbindd [0x55555560f856]
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:    #8 /usr/sbin/winbindd [0x555555610188]
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:    #9 /usr/sbin/winbindd [0x555555610717]
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:    #10 /usr/sbin/winbindd [0x5555555faeb5]
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:    #11 /usr/sbin/winbindd(winbindd_lookup_sid_by_name+0x23) [0x5555555ef133]
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:    #12 /usr/sbin/winbindd(winbindd_dual_lookupname+0xae) [0x55555561aade]
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:    #13 /usr/sbin/winbindd [0x5555556186b5]
Nov  9 09:53:50 brgsrvbaanlx winbindd[5762]:    #14 /usr/sbin/winbindd [0x555555617d52]
Nov  9 09:53:51 brgsrvbaanlx winbindd[5762]:    #15 /usr/sbin/winbindd(main+0xeeb) [0x5555555e7a9b]
Nov  9 09:53:51 brgsrvbaanlx winbindd[5762]:    #16 /lib64/libc.so.6(__libc_start_main+0xf4) [0x2adb83842184]
Nov  9 09:53:51 brgsrvbaanlx winbindd[5762]:    #17 /usr/sbin/winbindd [0x5555555e4ed9]
Nov  9 09:53:51 brgsrvbaanlx winbindd[5762]: [2009/11/09 09:53:51,  0] lib/fault.c:326(dump_core)
Nov  9 09:53:51 brgsrvbaanlx winbindd[5762]:   dumping core in /var/log/samba/cores/winbindd
Nov  9 09:53:51 brgsrvbaanlx winbindd[5762]: 

Typeing command "ls -l" on a directory that contains files owned by domain users, trigger the same crash.

Connecting via ssh doesn't work because of ssh timeout while waiting for a reply. So this configuration made the system completely unaccessible.

Bye,
Giuseppe
Comment 1 Giuseppe Sacco 2009-11-09 03:33:54 UTC
Hi, I am new to bugzilla. How do I assign this bug to samba-maintainers@suse.de?
Comment 2 Lars Müller 2009-11-09 05:11:56 UTC
Reassign to samba-maintainers at SUSE.
Comment 3 Giuseppe Sacco 2009-11-09 06:37:01 UTC
I just noticed an update for these packages. New version 3.4.3-3.1 does show the same behaviour.
Comment 4 Bo Yang 2009-12-03 01:25:18 UTC
Created attachment 5049 [details]
for v3-4-test
Comment 5 Karolin Seeger 2010-03-08 04:19:38 UTC
Any volunteer for a review?
Comment 6 Giuseppe Sacco 2010-03-08 04:47:19 UTC
Has this fix included in 3.5.0-1.1 as available today at http://download.opensuse.org/repositories/network:/samba:/STABLE/SLE_10/x86_64
?
Comment 7 Lars Müller 2010-03-08 05:34:03 UTC
From the package change log the fix is included.

  + BUG 6879: Fix crash in Winbind.

Please test and report back.
Comment 8 Lars Müller 2010-03-08 08:44:33 UTC
With comment #7 I'm wrong.  The patch is not included with 3.5.0.

We're going to merge it into the TESTING repository of the openSUSE Build Service.  See http://en.openSUSE.org/Samba for the details.
Comment 9 Karolin Seeger 2010-03-08 09:13:43 UTC
(In reply to comment #8)
> With comment #7 I'm wrong.  The patch is not included with 3.5.0.
> 
> We're going to merge it into the TESTING repository of the openSUSE Build
> Service.  See http://en.openSUSE.org/Samba for the details.
> 

Hmm, I do see it in the git log of v3-5-stable as well as in the release notes. So I think, this patch is included in 3.5.0.
Comment 10 Karolin Seeger 2010-03-08 09:35:07 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > With comment #7 I'm wrong.  The patch is not included with 3.5.0.
> > 
> > We're going to merge it into the TESTING repository of the openSUSE Build
> > Service.  See http://en.openSUSE.org/Samba for the details.
> > 
> 
> Hmm, I do see it in the git log of v3-5-stable as well as in the release notes.
> So I think, this patch is included in 3.5.0.
> 

It was applied and then reverted with 276461248. So this patch is not included in 3.5.0 indeed.
Comment 11 Lars Müller 2010-03-08 11:48:50 UTC
Thanks Karolin.

@Giuseppe: Happy testing.
Comment 12 Jim McDonough 2010-08-18 14:44:47 UTC
The fix is included.  The patch which "reverted" it simply moved where the check was done.